Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-6696225

JavaWebStart application as well as Additional components dialog appears behind the browser

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P3
    • Resolution: Cannot Reproduce
    • Affects Version/s: 6u10
    • Fix Version/s: None
    • Component/s: deploy
    • Labels:

      Description

      This finding comes from a usability study.

      Users were asked to install Java in order to run a WebStart application. After the kernel installation, the Additional components dialog as well as the WebStart game appeared behind the browser.

      This behavior caused that some users were lost and had to be told what to do next.
      Another comment regarding to the dialogs that appear behind the browser:

      I almost don't use applets so having to fill questions on them is not relevant. Likewise for the deployment toolkit, someway to create a starter .exe would be more use to me. For the java kernel, the window saying that pieces are being downloaded is not explicit enough (no progress of which piece is being downloaded) and it appears below the other windows (or so it seems to me).


      We got this feedback from a survay that's currently running on java.net.
      From the 6u10 beta survey comments regarding the UIs from install or DT:

      "I almost don't use applets so having to fill questions on them is not relevant. Likewise for the deployement toolkit, someway to create a starter .exe would be of more use to me. For the java kernel, the window saying that pieces are being downloaded is not explicit enough (no progress of which piece is being downloaded) and it appears below the other windows (or so it seems to me) "

      "The install process still needs to be easier, especially with kernel mode installs." which is also discussed in the forum:
      http://forums.java.net/jive/thread.jspa?threadID=39057&tstart=0

      "When trying to run the SwingDemo2 applet, I receive a confirmation dialog stating: "The application requires an earlier version of Java. Do you want to continue?" Since Java is backwards compatible, is this dialog really necessary? "

        Attachments

          Activity

            People

            Assignee:
            Unassigned Unassigned
            Reporter:
            jdinga Jindrich Dinga (Inactive)
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:
              Imported:
              Indexed: